## org.jboss.ejb
Interface ContainerInvokerContainer

All Known Implementing Classes:
  MessageDrivenContainer, EntityContainer, StatefulSessionContainer, StatelessSessionContainer

public interface ContainerInvokerContainer

This is an interface for Containers that uses ContainerInvokers. ContainerInvokers may communicate with the Container through this interface

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Daniel OConnor (docodan@mvcsoft.com)
See Also:
  `ContainerInvoker`

Method Summary
`ContainerInvoker` `getContainerInvoker()`
`java.lang.Class` `getHomeClass()`
`java.lang.Class` `getLocalClass()`
`LocalContainerInvoker` `getLocalContainerInvoker()`
`java.lang.Class` `getLocalHomeClass()`
`java.lang.Class` `getRemoteClass()`

Method Detail

### getHomeClass

    public java.lang.Class getHomeClass()

### getRemoteClass

    public java.lang.Class getRemoteClass()

### getLocalHomeClass

    public java.lang.Class getLocalHomeClass()

### getLocalClass

    public java.lang.Class getLocalClass()

### getContainerInvoker

    public ContainerInvoker getContainerInvoker()

### getLocalContainerInvoker

    public LocalContainerInvoker getLocalContainerInvoker()

Copyright © 2000 The JBoss Organization. All Rights Reserved.